## install4j API documentation

## com.install4j.api.beaninfo
Class ScreenBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.install4j.api.beaninfo.Install4JBeanInfo
              com.install4j.api.beaninfo.ScreenBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class ScreenBeanInfo

extends Install4JBeanInfo

Base class for screen bean infos.

Using this class is not strictly required. In principle, you could also set values for the `ATTRIBUTE_*` constants in the bean descriptor of an unrelated bean info class.

Field Summary
`static java.lang.String` | `ATTRIBUTE_ASSOCIATED_ACTION`
`static java.lang.String` | `ATTRIBUTE_ASSOCIATED_ACTION_TARGET_SCREEN`
`static java.lang.String` | `ATTRIBUTE_DEFAULT_QUIT_AFTER_SCREEN`
`static java.lang.String` | `ATTRIBUTE_FORM_COMPONENT_CUSTOMIZER_PLACEMENT`

Fields inherited from class com.install4j.api.beaninfo.Install4JBeanInfo
`ATTRIBUTE_BEAN_CATEGORY, ATTRIBUTE_BEAN_INITIALIZER, ATTRIBUTE_BEAN_VALIDATOR, ATTRIBUTE_COLLAPSED_PROPERTY_CATEGORIES, ATTRIBUTE_CUSTOMIZER_ICON, ATTRIBUTE_CUSTOMIZER_PLACEMENT, ATTRIBUTE_DEFAULT_CONDITION_EXPRESSION, ATTRIBUTE_DEFAULT_ROLLBACK_BARRIER, ATTRIBUTE_ENUMERATION_MAPPERS, ATTRIBUTE_ICON_16x16, ATTRIBUTE_ICON_24x24, ATTRIBUTE_INSTALLED_FILES_REQUIRED, ATTRIBUTE_MINIMUM_JAVA_VERSION, ATTRIBUTE_MULTIPLE_INSTANCES_SUPPORTED, ATTRIBUTE_NOTICE_PANEL, ATTRIBUTE_PERSISTENCE_DELEGATE_MAP, ATTRIBUTE_SEQUENCE_VALIDATOR, ATTRIBUTE_SORT_KEY`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`ScreenBeanInfo(java.lang.String displayName, java.lang.String shortDescription, java.lang.String category, boolean multipleInstancesSupported, boolean installedFilesRequired, java.lang.Integer sortKey, java.lang.Class beanClass)` Same as `Install4JBeanInfo.Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class)`.
`ScreenBeanInfo(java.lang.String displayName, java.lang.String shortDescription, java.lang.String category, boolean multipleInstancesSupported, boolean installedFilesRequired, java.lang.Integer sortKey, java.lang.Class beanClass, java.lang.Class customizerClass)` Same as `Install4JBeanInfo.Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)`.

Method Summary
`void` | `setAssociatedAction(java.lang.String actionClassName, java.lang.String targetScreenClassName)` Configures an associated action.
`void` | `setDefaultQuitAfterScreen(boolean defaultQuitAfterScreen)` Configures the default value of the "Quit after screen" property of the screen.
`void` | `setFormComponentCustomizerPlacement(CustomizerPlacement customizerPlacement)` Configures the placement of the form component customizer for form screens.

Methods inherited from class com.install4j.api.beaninfo.Install4JBeanInfo
`addPropertyDescriptor, checkNotEmpty, checkNotEmpty, findPropertyDescriptor, getBeanClass, getBeanDescriptor, getPropertyDescriptors, getPropertyValue, getPropertyValue, isEmpty, setBeanInitializer, setBeanValidator, setCollapsedPropertyCategories, setCustomizerIcon, setCustomizerPlacement, setDefaultConditionExpression, setDefaultRollbackBarrier, setEnumerationMappers, setIcons, setMinimumJavaVersion, setNoticePanel, setPersistenceDelegateMap, setSequenceValidator`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_DEFAULT_QUIT_AFTER_SCREEN

    public static final java.lang.String ATTRIBUTE_DEFAULT_QUIT_AFTER_SCREEN

See Also:
  `setDefaultQuitAfterScreen(boolean)`, Constant Field Values

### ATTRIBUTE_FORM_COMPONENT_CUSTOMIZER_PLACEMENT

    public static final java.lang.String ATTRIBUTE_FORM_COMPONENT_CUSTOMIZER_PLACEMENT

See Also:
  `setFormComponentCustomizerPlacement(CustomizerPlacement)`, Constant Field Values

### ATTRIBUTE_ASSOCIATED_ACTION

    public static final java.lang.String ATTRIBUTE_ASSOCIATED_ACTION

See Also:
  `setAssociatedAction(String, String)`, Constant Field Values

### ATTRIBUTE_ASSOCIATED_ACTION_TARGET_SCREEN

    public static final java.lang.String ATTRIBUTE_ASSOCIATED_ACTION_TARGET_SCREEN

See Also:
  `setAssociatedAction(String, String)`, Constant Field Values

Constructor Detail

### ScreenBeanInfo

    public ScreenBeanInfo(java.lang.String displayName,
                          java.lang.String shortDescription,
                          java.lang.String category,
                          boolean multipleInstancesSupported,
                          boolean installedFilesRequired,
                          java.lang.Integer sortKey,
                          java.lang.Class beanClass,
                          java.lang.Class customizerClass)

  Same as `Install4JBeanInfo.Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)`.

### ScreenBeanInfo

    public ScreenBeanInfo(java.lang.String displayName,
                          java.lang.String shortDescription,
                          java.lang.String category,
                          boolean multipleInstancesSupported,
                          boolean installedFilesRequired,
                          java.lang.Integer sortKey,
                          java.lang.Class beanClass)

  Same as `Install4JBeanInfo.Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class)`.

Method Detail

### setDefaultQuitAfterScreen

    public void setDefaultQuitAfterScreen(boolean defaultQuitAfterScreen)

  Configures the default value of the "Quit after screen" property of the screen.

  Parameters:
    `defaultQuitAfterScreen` - the default value

### setFormComponentCustomizerPlacement

    public void setFormComponentCustomizerPlacement(CustomizerPlacement customizerPlacement)

  Configures the placement of the form component customizer for form screens. If the screen has a form panel, a customizer for the contained form components will be added automatically.

  Parameters:
    `customizerPlacement` - the placement
  See Also:
    `FormPanelContainer`

### setAssociatedAction

    public void setAssociatedAction(java.lang.String actionClassName,
                                    java.lang.String targetScreenClassName)

  Configures an associated action. If set, and the user adds the action, the install4j GUI checks if an instance of the specified action is present in the list of configured actions on any screen. If not, it will remind the user to add such an action or propse to add the action immediately, depending on whether `targetScreenClassName` is `null`.

  Parameters:
    `actionClassName` - the class of the associated action
    `targetScreenClassName` - the target screen. If non-null, the install4j GUI will propose to add the associated action to the target screen if it cannot already be found on any screen.